MvcSkiOprema/Models/Oprema.cs
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;

namespace MvcSkiOprema.Models
{
    [Table("Oprema")]
    public class Oprema
    {
        [Key]
        public virtual long Id { get; set; }

        [Required]
        public virtual string Naziv { get; set; }

        public virtual string Opis { get; set; }

        [Required]
        public virtual float Cijena { get; set; }

        [Required]
        public virtual int Godina { get; set; }

        [Required]
        public virtual long KategorijaId { get; set; }
        public virtual Kategorija Kategorija { get; set; }

        [Required]
        public virtual int Dostupno { get; set; }

        public virtual string Slika { get; set; }

        [Required]
        public virtual long ProizvodacId { get; set; }
        public virtual Proizvodac Proizvodac { get; set; }

        [Required]
        [DisplayName("Veličina")]
        public virtual string Velicina { get; set; }

        public virtual Collection<StavkaRezervacije> StavkaRezervacije { get; set; }
    }
}

MvcSkiOprema/Controllers/OpremaController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcSkiOprema.Models;

namespace MvcSkiOprema.Controllers
{
    public class OpremaController : Controller
    {
        private SkiOpremaDB db = new SkiOpremaDB();

        //
        // GET: /Oprema/

        public ActionResult Index()
        {
            var oprema = db.Oprema.Include(o => o.Kategorija).Include(o => o.Proizvodac);
            return View(oprema.ToList());
        }

        //
        // GET: /Oprema/Details/5

        public ActionResult Details(long id = 0)
        {
            Oprema oprema = db.Oprema.Find(id);
            if (oprema == null)
            {
                return HttpNotFound();
            }
            return View(oprema);
        }

        //
        // GET: /Oprema/Create

        [Authorize(Roles = "admin")]
        public ActionResult Create()
        {
            ViewBag.KategorijaId = new SelectList(db.Kategorije, "Id", "Naziv");
            ViewBag.ProizvodacId = new SelectList(db.Proizvodaci, "Id", "Naziv");
            return View();
        }

        //
        // POST: /Oprema/Create

        [HttpPost]
        [Authorize(Roles = "admin")]
        public ActionResult Create(Oprema oprema)
        {
            if (ModelState.IsValid)
            {
                try
                {
                    db.Oprema.Add(oprema);
                    db.SaveChanges();
                    return RedirectToAction("Index");
                }
                catch
                {
                    ModelState.AddModelError("", "vrijednost polja dostupno ne smije biti negativan broj.");
                }
            }

            ViewBag.KategorijaId = new SelectList(db.Kategorije, "Id", "Naziv", oprema.KategorijaId);
            ViewBag.ProizvodacId = new SelectList(db.Proizvodaci, "Id", "Naziv", oprema.ProizvodacId);
            return View(oprema);
        }

        //
        // GET: /Oprema/Edit/5

        [Authorize(Roles = "admin")]
        public ActionResult Edit(long id = 0)
        {
            Oprema oprema = db.Oprema.Find(id);
            if (oprema == null)
            {
                return HttpNotFound();
            }
            ViewBag.KategorijaId = new SelectList(db.Kategorije, "Id", "Naziv", oprema.KategorijaId);
            ViewBag.ProizvodacId = new SelectList(db.Proizvodaci, "Id", "Naziv", oprema.ProizvodacId);
            return View(oprema);
        }

        //
        // POST: /Oprema/Edit/5

        [HttpPost]
        [Authorize(Roles = "admin")]
        public ActionResult Edit(Oprema oprema)
        {
            if (ModelState.IsValid)
            {
                try
                {
                    db.Entry(oprema).State = EntityState.Modified;
                    db.SaveChanges();
                    return RedirectToAction("Index");
                }
                catch
                {
                    ModelState.AddModelError("", "vrijednost polja dostupno ne smije biti negativan broj.");
                }
            }
            ViewBag.KategorijaId = new SelectList(db.Kategorije, "Id", "Naziv", oprema.KategorijaId);
            ViewBag.ProizvodacId = new SelectList(db.Proizvodaci, "Id", "Naziv", oprema.ProizvodacId);
            return View(oprema);
        }

        [HttpPost]
        [Authorize(Roles = "admin")]
        public ActionResult Upload()
        {
            if (Request.Files.Count > 0)
            {
                var file = Request.Files[0];

                if (file != null && file.ContentLength > 0)
                {
                    var path = Server.MapPath("~/Images/Oprema/") + Request.Form["id"] + ".jpg";
                    try
                    {
                        //ako vec postoji slika za tu opremu, tada se ona zamjenjuje ovom novom
                        if (System.IO.File.Exists(path))
                        {
                            System.IO.File.Delete(path);
                        }
                        file.SaveAs(path);

                        //azuriraj atribut slika u BP
                        Oprema oprema = db.Oprema.Find(long.Parse(Request.Form["id"]));
                        oprema.Slika = Request.Form["id"] + ".jpg";
                        db.Entry(oprema).State = EntityState.Modified;
                        db.SaveChanges();
                    }
                    catch 
                    { 
                    
                    }
                }
            }
            return RedirectToAction("Details/" + Request.Form["id"]);
        }

        //
        // GET: /Oprema/Delete/5

        [Authorize(Roles = "admin")]
        public ActionResult Delete(long id = 0)
        {
            Oprema oprema = db.Oprema.Find(id);
            if (oprema == null)
            {
                return HttpNotFound();
            }
            return View(oprema);
        }

        //
        // POST: /Oprema/Delete/5

        [HttpPost, ActionName("Delete")]
        [Authorize(Roles = "admin")]
        public ActionResult DeleteConfirmed(long id)
        {
            Oprema oprema = db.Oprema.Find(id);
            db.Oprema.Remove(oprema);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        //metoda za pretrazivanje
        //usporeduje se upit q sa nazivom(modelom) te nazivima proizvodaca i kategorije
        public ActionResult Search(string q)
        {
            var oprema = db.Oprema.Include(o => o.Kategorija).Include(o => o.Proizvodac);
            if (Request.QueryString["pretrazi"] != null)
            {
                oprema = db.Oprema.Include(o => o.Kategorija).Include(o => o.Proizvodac).Where(o => o.Naziv.Contains(q) || o.Proizvodac.Naziv.Contains(q) || o.Kategorija.Naziv.Contains(q)).Take(10);
            }
            return View("Index", oprema.ToList());
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}

MvcSkiOprema/Controllers/ProizvodaciController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcSkiOprema.Models;

namespace MvcSkiOprema.Controllers
{
    public class ProizvodaciController : Controller
    {
        private SkiOpremaDB db = new SkiOpremaDB();

        //
        // GET: /Proizvodaci/

        public ActionResult Index()
        {
            return View(db.Proizvodaci.ToList());
        }

        //
        // GET: /Proizvodaci/Details/5

        public ActionResult Details(long id = 0)
        {
            Proizvodac proizvodac = db.Proizvodaci.Find(id);
            if (proizvodac == null)
            {
                return HttpNotFound();
            }
            return View(proizvodac);
        }

        //
        // GET: /Proizvodaci/Create

        [Authorize(Roles = "admin")]
        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /Proizvodaci/Create

        [HttpPost]
        [Authorize(Roles="admin")]
        public ActionResult Create(Proizvodac proizvodac)
        {
            if (ModelState.IsValid)
            {
                db.Proizvodaci.Add(proizvodac);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(proizvodac);
        }

        //
        // GET: /Proizvodaci/Edit/5

        [Authorize(Roles = "admin")]
        public ActionResult Edit(long id = 0)
        {
            Proizvodac proizvodac = db.Proizvodaci.Find(id);
            if (proizvodac == null)
            {
                return HttpNotFound();
            }
            return View(proizvodac);
        }

        //
        // POST: /Proizvodaci/Edit/5

        [HttpPost]
        [Authorize(Roles = "admin")]
        public ActionResult Edit(Proizvodac proizvodac)
        {
            if (ModelState.IsValid)
            {
                db.Entry(proizvodac).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(proizvodac);
        }

        //
        // GET: /Proizvodaci/Delete/5

        [Authorize(Roles = "admin")]
        public ActionResult Delete(long id = 0)
        {
            Proizvodac proizvodac = db.Proizvodaci.Find(id);
            if (proizvodac == null)
            {
                return HttpNotFound();
            }
            return View(proizvodac);
        }

        //
        // POST: /Proizvodaci/Delete/5

        [Authorize(Roles = "admin")]
        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(long id)
        {
            Proizvodac proizvodac = db.Proizvodaci.Find(id);
            db.Proizvodaci.Remove(proizvodac);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}

MvcSkiOprema/Controllers/ShoppingCartController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcSkiOprema.Models;
using MvcSkiOprema.ViewModels;

namespace MvcSkiOprema.Controllers
{
    public class ShoppingCartController : Controller
    {
        SkiOpremaDB storeDB = new SkiOpremaDB();

        //
        // GET: /ShoppingCart/

        [Authorize]
        public ActionResult Index()
        {
            var cart = ShoppingCart.GetCart(this.HttpContext);
            // Set up our ViewModel
            var viewModel = new ShoppingCartViewModel
            {
                CartItems = cart.GetCartItems(),
                CartTotal = cart.GetTotal()
            };
            // Return the view
            return View(viewModel);
        }

        //
        // GET: /Oprema/AddToCart/5

        public ActionResult AddToCart(int id)
        {
            // Retrieve the album from the database
            var dodanaOprema = storeDB.Oprema.Single(oprema => oprema.Id == id);
            // Add it to the shopping cart
            var cart = ShoppingCart.GetCart(this.HttpContext);
            cart.AddToCart(dodanaOprema);
            // Go back to the main store page for more shopping
            return RedirectToAction("Index");
        }

        //
        // AJAX: /ShoppingCart/RemoveFromCart/5
        [HttpPost]
        public ActionResult RemoveFromCart(int id)
        {
            // Remove the item from the cart
            var cart = ShoppingCart.GetCart(this.HttpContext);

            // Get the name of the album to display confirmation
            string opremaNaziv = storeDB.Carts
                .Single(item => item.OpremaId == id).Oprema.Naziv;

            // Remove from cart
            int itemCount = cart.RemoveFromCart(id);

            // Display the confirmation message
            var results = new ShoppingCartRemoveViewModel
            {
                Message = Server.HtmlEncode(opremaNaziv) +
                    " oprema je uklonjena iz Vaše košarice.",
                CartTotal = cart.GetTotal(),
                DeleteId = id
            };
            return Json(results);
        }

        //
        // GET: /ShoppingCart/CartSummary
        [ChildActionOnly]
        public ActionResult CartSummary()
        {
            var cart = ShoppingCart.GetCart(this.HttpContext);
            return PartialView("CartSummary");
        }
    }
}

MvcSkiOprema/Views/Oprema/Create.cshtml
@model MvcSkiOprema.Models.Oprema

@{
    ViewBag.Title = "Create";
}

<h2>@ViewBag.Title</h2>

@using (Html.BeginForm()) {
    @Html.ValidationSummary(true)

    <fieldset>
        <legend>Oprema</legend>

        <div class="editor-label">
            @Html.LabelFor(model => model.Naziv)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Naziv)
            @Html.ValidationMessageFor(model => model.Naziv)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Opis)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Opis)
            @Html.ValidationMessageFor(model => model.Opis)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Cijena)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Cijena)
            @Html.ValidationMessageFor(model => model.Cijena)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Godina)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Godina)
            @Html.ValidationMessageFor(model => model.Godina)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.KategorijaId, "Kategorija")
        </div>
        <div class="editor-field">
            @Html.DropDownList("KategorijaId", String.Empty)
            @Html.ValidationMessageFor(model => model.KategorijaId)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Dostupno)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Dostupno)
            @Html.ValidationMessageFor(model => model.Dostupno)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Slika)
        </div>
        <div class="editor-field">
            @Html.TextBoxFor(model => model.Slika, new { @class = "form-control", @readonly = "readonly" })
            @Html.ValidationMessageFor(model => model.Slika)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.ProizvodacId, "Proizvodac")
        </div>
        <div class="editor-field">
            @Html.DropDownList("ProizvodacId", String.Empty)
            @Html.ValidationMessageFor(model => model.ProizvodacId)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Velicina)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Velicina)
            @Html.ValidationMessageFor(model => model.Velicina)
        </div>

        <p>
            <input type="submit" value="Spremi" />
        </p>
    </fieldset>
}

<div>
    @Html.ActionLink("Povratak", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

MvcSkiOprema/Views/Oprema/Delete.cshtml
@model MvcSkiOprema.Models.Oprema

@{
    ViewBag.Title = "Brisanje opreme";
}

<h2>@ViewBag.Title</h2>

<h3>Jeste li sigurni da želite pobrisati ovu opremu?</h3>
<fieldset>
    <legend>Oprema</legend>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Naziv)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Naziv)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Opis)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Opis)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Cijena)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Cijena)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Godina)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Godina)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Kategorija.Naziv)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Kategorija.Naziv)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Dostupno)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Dostupno)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Slika)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Slika)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Proizvodac.Naziv)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Proizvodac.Naziv)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.Velicina)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Velicina)
    </div>
</fieldset>
@using (Html.BeginForm()) {
    <p>
        <input type="submit" value="Pobriši" /> |
        @Html.ActionLink("Povratak", "Index")
    </p>
}

MvcSkiOprema/Views/Oprema/Details.cshtml
@model MvcSkiOprema.Models.Oprema

@{
    ViewBag.Title = "Detalji opreme";
}

<h2>@ViewBag.Title</h2>

<fieldset>
    <legend>Oprema</legend>

    <div class="display-label">
        @Html.DisplayNameFor(model => model.Naziv)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Proizvodac.Naziv) @Html.DisplayFor(model => model.Naziv) 
    </div><br />

    <div class="display-label">
        @Html.DisplayNameFor(model => model.Opis)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.Opis)
    </div><br />

    <div class="display-label">
        @Html.DisplayNameFor(model => model.Cijena): <span style="font-weight:normal;">@Html.DisplayFor(model => model.Cijena) kn/dan</span>
    </div><br />

    <div class="display-label">
        @Html.DisplayNameFor(model => model.Godina): <span style="font-weight:normal;">@Html.DisplayFor(model => model.Godina)</span>
    </div><br />

    <div class="display-label">
        @Html.DisplayNameFor(model => model.Velicina): <span style="font-weight:normal;">@Html.DisplayFor(model => model.Velicina)</span>
    </div><br />

    @if (Model.Slika == null)
    { 
        <img alt="slika" src="~/Images/Oprema/noPhoto.png" />
    }
    else
    {
        <img alt="slika" src="~/Images/Oprema/@Model.Slika" />
    }
</fieldset>
<p>
    @Html.ActionLink("Povratak", "Index")

    @if (Request.IsAuthenticated && HttpContext.Current.User.IsInRole("admin"))
    {
        @Html.ActionLink("Ažuriraj", "Edit", new { id = Model.Id }) 
    }

    @if (Request.IsAuthenticated)
    { 
        @Html.ActionLink("Dodaj", "AddToCart", "ShoppingCart", new { id = Model.Id }, "")
    }
</p>

MvcSkiOprema/Views/Oprema/Edit.cshtml
@model MvcSkiOprema.Models.Oprema

@{
    ViewBag.Title = "Ažuriranje opreme";
}

<h2>@ViewBag.Title</h2>

@using (Html.BeginForm()) {
    @Html.ValidationSummary(true)

    <fieldset>
        <legend>Oprema</legend>

        @Html.HiddenFor(model => model.Id)

        <div class="editor-label">
            @Html.LabelFor(model => model.Naziv)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Naziv)
            @Html.ValidationMessageFor(model => model.Naziv)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Opis)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Opis)
            @Html.ValidationMessageFor(model => model.Opis)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Cijena)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Cijena)
            @Html.ValidationMessageFor(model => model.Cijena)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Godina)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Godina)
            @Html.ValidationMessageFor(model => model.Godina)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.KategorijaId, "Kategorija")
        </div>
        <div class="editor-field">
            @Html.DropDownList("KategorijaId", String.Empty)
            @Html.ValidationMessageFor(model => model.KategorijaId)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Dostupno)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Dostupno)
            @Html.ValidationMessageFor(model => model.Dostupno)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Slika)
        </div>
        <div class="editor-field">
            @Html.TextBoxFor(model => model.Slika, new { @class = "form-control", @readonly = "readonly" })
            @Html.ValidationMessageFor(model => model.Slika)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.ProizvodacId, "Proizvodac")
        </div>
        <div class="editor-field">
            @Html.DropDownList("ProizvodacId", String.Empty)
            @Html.ValidationMessageFor(model => model.ProizvodacId)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.Velicina)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.Velicina)
            @Html.ValidationMessageFor(model => model.Velicina)
        </div>

        <p>
            <input type="submit" value="Spremi" />
        </p>
    </fieldset>
}

@using (Html.BeginForm("Upload", "Oprema", FormMethod.Post, new { enctype = "multipart/form-data" }))
{ 
    @Html.Hidden("id", @Model.Id)
    <input type="file" name="file" />
    <input type="submit" name="Submit" id="Submit" value="Spremi sliku" />
}

<div>
    @Html.ActionLink("Povratak", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

MvcSkiOprema/Views/Oprema/Index.cshtml
@model IEnumerable<MvcSkiOprema.Models.Oprema>

@{
    ViewBag.Title = "Lista opreme";
}
@section featured {
    <section class="featured">
        <div class="content-wrapper">
            <hgroup class="title">
                <h1>@ViewBag.Title</h1>
            </hgroup>
        </div>
    </section>
}

<div class="float-left">
    <nav>
        <ul id="menu">
            @if (Request.IsAuthenticated && HttpContext.Current.User.IsInRole("admin"))
            {
                <li>@Html.ActionLink("Kategorije", "Index", "Kategorije")</li>
                <li>@Html.ActionLink("Proizvodači", "Index", "Proizvodaci")</li>
                <li>@Html.ActionLink("Oprema", "Index", "Oprema")</li>
                <li>@Html.ActionLink("Rezervacije", "Index", "Rezervacije")</li>
            }

            <li>@Html.ActionLink("Košarica", "Index", "ShoppingCart")</li>
        </ul>
    </nav>
    <hr />
</div>
<br />
<br />

<p>
    @if (Request.IsAuthenticated && HttpContext.Current.User.IsInRole("admin"))
    { 
        @Html.ActionLink("Novo", "Create")
    }
</p>

<form action="/Oprema/Search" method="get">
    <input type="text" name="q" />
    <input type="submit" name="pretrazi" value="Pretraži" />
    <input type="submit" name="ocisti" value="Očisti filter" />
</form>
*vrijednost koju unesete se pretražuje po parametrima: model, proizvođač i kategorija

<table>
    <tr>
        <th>
            Model
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Opis)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Cijena)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Godina)
        </th>
        <th>
            Kategorija
        </th>
        <th>
            Proizvođač
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Velicina)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Naziv)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Opis)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Cijena)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Godina)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Kategorija.Naziv)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Proizvodac.Naziv)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Velicina)
            </td>
            <td>
                @if (Request.IsAuthenticated && HttpContext.Current.User.IsInRole("admin"))
                {
                    @Html.ActionLink("Ažuriraj", "Edit", new { id = item.Id }) 
                    @Html.ActionLink("Pobriši", "Delete", new { id = item.Id })
                }
                @Html.ActionLink("Detalji", "Details", new { id = item.Id })
            </td>
        </tr>
    }

</table>